Josh --

I'm not 100% sure if this bug has been fixed or not, but I've made a few 
changes.
I released Dia 1.4.pre for you to be able to get it easily, so all you 
need to do is:

gem install dia --pre

If this doesn't fix your issue maybe you can come on IRC(if you have the 
time) so we can hack on the problem there.

Thanks,
Rob

-- 
Posted via http://www.ruby-forum.com/.